Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
luaservice::ScriptOptions Struct Reference

some script options More...

## Public Attributes
map< string, string > | defaultArgs
| default arguments are passed to the lua script
boolean | autoStart
| starts a script after system booting
boolean | autoRestart
| restarts a script after termination or crash

## Detailed Description

some script options

Definition at line 68 of file LuaService.idl.

## Member Data Documentation

## ◆ autoRestart

boolean luaservice::ScriptOptions::autoRestart

restarts a script after termination or crash

Definition at line 71 of file LuaService.idl.

## ◆ autoStart

boolean luaservice::ScriptOptions::autoStart

starts a script after system booting

Definition at line 70 of file LuaService.idl.

## ◆ defaultArgs

map<string, string> luaservice::ScriptOptions::defaultArgs

default arguments are passed to the lua script

Definition at line 69 of file LuaService.idl.

The documentation for this struct was generated from the following file:

- LuaService.idl